Module java.base
Package javax.crypto.interfaces

## Interface DHPublicKey

All Superinterfaces:
  DHKey, Key, PublicKey, Serializable

    public interface DHPublicKey
    extends DHKey, PublicKey

The interface to a Diffie-Hellman public key.

Since:
  1.4
See Also:
  `DHKey`, `DHPrivateKey`

### Field Summary

Fields
`static long` `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

### Method Summary

All Methods Instance Methods Abstract Methods
`BigInteger` `getY()` Returns the public value, `y`.

### Methods inherited from interface javax.crypto.interfaces.DHKey

`getParams`

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

See Also:
  Constant Field Values

### Method Detail

#### getY

    BigInteger getY()

Returns the public value, `y`.

Returns:
  the public value, `y`